<?php

namespace App\Modules\FactCurrency\Application\Update;

use App\Modules\FactCurrency\Domain\FactCurrency;
use App\Modules\FactCurrency\Domain\FactCurrencyRepository;

final class FactCurrencyUpdater
{
    public function __construct(private FactCurrencyRepository $repository)
    {
    }

    public function __invoke(FactCurrency $model)
    {
        return $this->repository->update($model);
    }
}
